Organizations 16 endpoints

DELETE /api/organizations/{organization_id}/projects/{id}

Projects for the current organization.

operationId: Organizations_deleteProjectById

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this team.

organization_id path required string —

Responses

204

No response body

DELETE /api/organizations/{organization_id}/projects/{id}
GET /api/organizations/{organization_id}/projects/{id}

Projects for the current organization.

operationId: Organizations_getProjectsById

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this team.

organization_id path required string —

Responses

200 —
GET /api/organizations/{organization_id}/projects/{id}
PATCH /api/organizations/{organization_id}/projects/{id}

Projects for the current organization.

operationId: Organizations_updateProject

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this team.

organization_id path required string —

Request Body

application/json
schema PatchedTeam
Property Type Required
id integer optional
name string optional
uuid string optional
is_demo boolean optional
app_urls array optional
timezone string optional
api_token string optional
created_at string optional
updated_at string optional
organization string optional
anonymize_ips boolean optional
access_control boolean optional
extra_settings object optional
ingested_event boolean optional
surveys_opt_in boolean optional
week_start_day object optional
data_attributes object optional
has_group_types boolean optional
inject_web_apps boolean optional
primary_dashboard integer optional
…24 more object optional
multipart/form-data
schema PatchedTeam
Property Type Required
id integer optional
name string optional
uuid string optional
is_demo boolean optional
app_urls array optional
timezone string optional
api_token string optional
created_at string optional
updated_at string optional
organization string optional
anonymize_ips boolean optional
access_control boolean optional
extra_settings object optional
ingested_event boolean optional
surveys_opt_in boolean optional
week_start_day object optional
data_attributes object optional
has_group_types boolean optional
inject_web_apps boolean optional
primary_dashboard integer optional
…24 more object optional
application/x-www-form-urlencoded
schema PatchedTeam
Property Type Required
id integer optional
name string optional
uuid string optional
is_demo boolean optional
app_urls array optional
timezone string optional
api_token string optional
created_at string optional
updated_at string optional
organization string optional
anonymize_ips boolean optional
access_control boolean optional
extra_settings object optional
ingested_event boolean optional
surveys_opt_in boolean optional
week_start_day object optional
data_attributes object optional
has_group_types boolean optional
inject_web_apps boolean optional
primary_dashboard integer optional
…24 more object optional

Responses

200 —
PATCH /api/organizations/{organization_id}/projects/{id}
PUT /api/organizations/{organization_id}/projects/{id}

Projects for the current organization.

operationId: Organizations_updateProjectById

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this team.

organization_id path required string —

Request Body

application/json
schema Team
Property Type Required
id integer required
name string optional
uuid string required
is_demo boolean optional
app_urls array optional
timezone string optional
api_token string required
created_at string required
updated_at string required
organization string required
anonymize_ips boolean optional
access_control boolean optional
extra_settings object optional
ingested_event boolean required
surveys_opt_in boolean optional
week_start_day object optional
data_attributes object optional
has_group_types boolean required
inject_web_apps boolean optional
primary_dashboard integer optional
…24 more object optional
multipart/form-data
schema Team
Property Type Required
id integer required
name string optional
uuid string required
is_demo boolean optional
app_urls array optional
timezone string optional
api_token string required
created_at string required
updated_at string required
organization string required
anonymize_ips boolean optional
access_control boolean optional
extra_settings object optional
ingested_event boolean required
surveys_opt_in boolean optional
week_start_day object optional
data_attributes object optional
has_group_types boolean required
inject_web_apps boolean optional
primary_dashboard integer optional
…24 more object optional
application/x-www-form-urlencoded
schema Team
Property Type Required
id integer required
name string optional
uuid string required
is_demo boolean optional
app_urls array optional
timezone string optional
api_token string required
created_at string required
updated_at string required
organization string required
anonymize_ips boolean optional
access_control boolean optional
extra_settings object optional
ingested_event boolean required
surveys_opt_in boolean optional
week_start_day object optional
data_attributes object optional
has_group_types boolean required
inject_web_apps boolean optional
primary_dashboard integer optional
…24 more object optional

Responses

200 —
PUT /api/organizations/{organization_id}/projects/{id}
GET /api/organizations/{organization_id}/projects/{id}/activity

Projects for the current organization.

operationId: activity_retrieve

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this team.

organization_id path required string —

Responses

200 —
GET /api/organizations/{organization_id}/projects/{id}/activity
GET /api/organizations/{organization_id}/projects/{id}/is_generating_demo_data

Projects for the current organization.

operationId: Organizations_getIsGeneratingDemoData

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this team.

organization_id path required string —

Responses

200 —
GET /api/organizations/{organization_id}/projects/{id}/is_generating_demo_data
PATCH /api/organizations/{organization_id}/projects/{id}/reset_token

Projects for the current organization.

operationId: Organizations_projectsResetTokenPartialUpdate

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this team.

organization_id path required string —

Request Body

application/json
schema PatchedTeam
Property Type Required
id integer optional
name string optional
uuid string optional
is_demo boolean optional
app_urls array optional
timezone string optional
api_token string optional
created_at string optional
updated_at string optional
organization string optional
anonymize_ips boolean optional
access_control boolean optional
extra_settings object optional
ingested_event boolean optional
surveys_opt_in boolean optional
week_start_day object optional
data_attributes object optional
has_group_types boolean optional
inject_web_apps boolean optional
primary_dashboard integer optional
…24 more object optional
multipart/form-data
schema PatchedTeam
Property Type Required
id integer optional
name string optional
uuid string optional
is_demo boolean optional
app_urls array optional
timezone string optional
api_token string optional
created_at string optional
updated_at string optional
organization string optional
anonymize_ips boolean optional
access_control boolean optional
extra_settings object optional
ingested_event boolean optional
surveys_opt_in boolean optional
week_start_day object optional
data_attributes object optional
has_group_types boolean optional
inject_web_apps boolean optional
primary_dashboard integer optional
…24 more object optional
application/x-www-form-urlencoded
schema PatchedTeam
Property Type Required
id integer optional
name string optional
uuid string optional
is_demo boolean optional
app_urls array optional
timezone string optional
api_token string optional
created_at string optional
updated_at string optional
organization string optional
anonymize_ips boolean optional
access_control boolean optional
extra_settings object optional
ingested_event boolean optional
surveys_opt_in boolean optional
week_start_day object optional
data_attributes object optional
has_group_types boolean optional
inject_web_apps boolean optional
primary_dashboard integer optional
…24 more object optional

Responses

200 —
PATCH /api/organizations/{organization_id}/projects/{id}/reset_token
GET /api/organizations/{organization_id}/roles
operationId: roles_list

Parameters

Name In Required Type Description
limit query optional integer

Number of results to return per page.

offset query optional integer

The initial index from which to return the results.

organization_id path required string —

Responses

200 —
GET /api/organizations/{organization_id}/roles
POST /api/organizations/{organization_id}/roles
operationId: roles_create

Parameters

Name In Required Type Description
organization_id path required string —

Request Body

required
application/json
schema Role
Property Type Required
id string required
name string required
members string required
created_at string required
created_by object required
└ id integer required
└ uuid string required
└ email string required
└ last_name string optional
└ first_name string optional
└ distinct_id string optional
└ is_email_verified boolean optional
associated_flags string required
feature_flags_access_level integer optional
multipart/form-data
schema Role
Property Type Required
id string required
name string required
members string required
created_at string required
created_by object required
└ id integer required
└ uuid string required
└ email string required
└ last_name string optional
└ first_name string optional
└ distinct_id string optional
└ is_email_verified boolean optional
associated_flags string required
feature_flags_access_level integer optional
application/x-www-form-urlencoded
schema Role
Property Type Required
id string required
name string required
members string required
created_at string required
created_by object required
└ id integer required
└ uuid string required
└ email string required
└ last_name string optional
└ first_name string optional
└ distinct_id string optional
└ is_email_verified boolean optional
associated_flags string required
feature_flags_access_level integer optional

Responses

201 —
POST /api/organizations/{organization_id}/roles
DELETE /api/organizations/{organization_id}/roles/{id}
operationId: roles_destroy

Parameters

Name In Required Type Description
id path required string

A UUID string identifying this role.

organization_id path required string —

Responses

204

No response body

DELETE /api/organizations/{organization_id}/roles/{id}
GET /api/organizations/{organization_id}/roles/{id}
operationId: roles_retrieve

Parameters

Name In Required Type Description
id path required string

A UUID string identifying this role.

organization_id path required string —

Responses

200 —
GET /api/organizations/{organization_id}/roles/{id}
PATCH /api/organizations/{organization_id}/roles/{id}
operationId: Organizations_updateRoleById

Parameters

Name In Required Type Description
id path required string

A UUID string identifying this role.

organization_id path required string —

Request Body

application/json
schema PatchedRole
Property Type Required
id string optional
name string optional
members string optional
created_at string optional
created_by object optional
└ id integer required
└ uuid string required
└ email string required
└ last_name string optional
└ first_name string optional
└ distinct_id string optional
└ is_email_verified boolean optional
associated_flags string optional
feature_flags_access_level integer optional
multipart/form-data
schema PatchedRole
Property Type Required
id string optional
name string optional
members string optional
created_at string optional
created_by object optional
└ id integer required
└ uuid string required
└ email string required
└ last_name string optional
└ first_name string optional
└ distinct_id string optional
└ is_email_verified boolean optional
associated_flags string optional
feature_flags_access_level integer optional
application/x-www-form-urlencoded
schema PatchedRole
Property Type Required
id string optional
name string optional
members string optional
created_at string optional
created_by object optional
└ id integer required
└ uuid string required
└ email string required
└ last_name string optional
└ first_name string optional
└ distinct_id string optional
└ is_email_verified boolean optional
associated_flags string optional
feature_flags_access_level integer optional

Responses

200 —
PATCH /api/organizations/{organization_id}/roles/{id}
PUT /api/organizations/{organization_id}/roles/{id}
operationId: roles_update

Parameters

Name In Required Type Description
id path required string

A UUID string identifying this role.

organization_id path required string —

Request Body

required
application/json
schema Role
Property Type Required
id string required
name string required
members string required
created_at string required
created_by object required
└ id integer required
└ uuid string required
└ email string required
└ last_name string optional
└ first_name string optional
└ distinct_id string optional
└ is_email_verified boolean optional
associated_flags string required
feature_flags_access_level integer optional
multipart/form-data
schema Role
Property Type Required
id string required
name string required
members string required
created_at string required
created_by object required
└ id integer required
└ uuid string required
└ email string required
└ last_name string optional
└ first_name string optional
└ distinct_id string optional
└ is_email_verified boolean optional
associated_flags string required
feature_flags_access_level integer optional
application/x-www-form-urlencoded
schema Role
Property Type Required
id string required
name string required
members string required
created_at string required
created_by object required
└ id integer required
└ uuid string required
└ email string required
└ last_name string optional
└ first_name string optional
└ distinct_id string optional
└ is_email_verified boolean optional
associated_flags string required
feature_flags_access_level integer optional

Responses

200 —
PUT /api/organizations/{organization_id}/roles/{id}
GET /api/organizations/{organization_id}/roles/{role_id}/role_memberships
operationId: Organizations_listRoleMemberships

Parameters

Name In Required Type Description
limit query optional integer

Number of results to return per page.

offset query optional integer

The initial index from which to return the results.

organization_id path required string —
role_id path required string —

Responses

200 —
GET /api/organizations/{organization_id}/roles/{role_id}/role_memberships
POST /api/organizations/{organization_id}/roles/{role_id}/role_memberships
operationId: Organizations_createRoleMemberships

Parameters

Name In Required Type Description
organization_id path required string —
role_id path required string —

Request Body

required
application/json
schema RoleMembership
Property Type Required
id string required
user object required
└ id integer required
└ uuid string required
└ email string required
└ last_name string optional
└ first_name string optional
└ distinct_id string optional
└ is_email_verified boolean optional
role_id string required
joined_at string required
user_uuid string required
updated_at string required
organization_member object required
└ id string required
└ user object required
└ id integer required
└ uuid string required
└ email string required
└ last_name string optional
└ first_name string optional
└ distinct_id string optional
└ is_email_verified boolean optional
└ level integer optional
└ joined_at string required
└ updated_at string required
└ is_2fa_enabled boolean required
└ has_social_auth boolean required
multipart/form-data
schema RoleMembership
Property Type Required
id string required
user object required
└ id integer required
└ uuid string required
└ email string required
└ last_name string optional
└ first_name string optional
└ distinct_id string optional
└ is_email_verified boolean optional
role_id string required
joined_at string required
user_uuid string required
updated_at string required
organization_member object required
└ id string required
└ user object required
└ id integer required
└ uuid string required
└ email string required
└ last_name string optional
└ first_name string optional
└ distinct_id string optional
└ is_email_verified boolean optional
└ level integer optional
└ joined_at string required
└ updated_at string required
└ is_2fa_enabled boolean required
└ has_social_auth boolean required
application/x-www-form-urlencoded
schema RoleMembership
Property Type Required
id string required
user object required
└ id integer required
└ uuid string required
└ email string required
└ last_name string optional
└ first_name string optional
└ distinct_id string optional
└ is_email_verified boolean optional
role_id string required
joined_at string required
user_uuid string required
updated_at string required
organization_member object required
└ id string required
└ user object required
└ id integer required
└ uuid string required
└ email string required
└ last_name string optional
└ first_name string optional
└ distinct_id string optional
└ is_email_verified boolean optional
└ level integer optional
└ joined_at string required
└ updated_at string required
└ is_2fa_enabled boolean required
└ has_social_auth boolean required

Responses

201 —
POST /api/organizations/{organization_id}/roles/{role_id}/role_memberships
DELETE /api/organizations/{organization_id}/roles/{role_id}/role_memberships/{id}
operationId: Organizations_removeRoleMembership

Parameters

Name In Required Type Description
id path required string

A UUID string identifying this role membership.

organization_id path required string —
role_id path required string —

Responses

204

No response body

DELETE /api/organizations/{organization_id}/roles/{role_id}/role_memberships/{id}

Persons 23 endpoints

GET /api/projects/{project_id}/persons

To create or update persons, use a PostHog library of your choice and use an identify call. This API endpoint is only for reading and deleting.

operationId: persons_list

Parameters

Name In Required Type Description
distinct_id query optional string

Filter list by distinct id.

email query optional string

Filter persons by email (exact match)

format query optional string —
limit query optional integer

Number of results to return per page.

offset query optional integer

The initial index from which to return the results.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

properties query optional array

Filter Persons by person properties.

search query optional string

Search persons, either by email (full text search) or distinct_id (exact match).

Responses

200 —
GET /api/projects/{project_id}/persons
GET /api/projects/{project_id}/persons/activity

To create or update persons, use a PostHog library of your choice and use an identify call. This API endpoint is only for reading and deleting.

operationId: Persons_getActivity

Parameters

Name In Required Type Description
format query optional string —
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200 —
GET /api/projects/{project_id}/persons/activity
GET /api/projects/{project_id}/persons/cohorts

To create or update persons, use a PostHog library of your choice and use an identify call. This API endpoint is only for reading and deleting.

operationId: Persons_listCohorts

Parameters

Name In Required Type Description
format query optional string —
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200 —
GET /api/projects/{project_id}/persons/cohorts
GET /api/projects/{project_id}/persons/funnel

To create or update persons, use a PostHog library of your choice and use an identify call. This API endpoint is only for reading and deleting.

operationId: Persons_getFunnel

Parameters

Name In Required Type Description
format query optional string —
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200 —
GET /api/projects/{project_id}/persons/funnel
POST /api/projects/{project_id}/persons/funnel

To create or update persons, use a PostHog library of your choice and use an identify call. This API endpoint is only for reading and deleting.

operationId: Persons_createOrUpdateFunnel

Parameters

Name In Required Type Description
format query optional string —
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

application/json
schema Person
Property Type Required
id integer required
name string required
uuid string required
created_at string required
properties object optional
distinct_ids array required
multipart/form-data
schema Person
Property Type Required
id integer required
name string required
uuid string required
created_at string required
properties object optional
distinct_ids array required
application/x-www-form-urlencoded
schema Person
Property Type Required
id integer required
name string required
uuid string required
created_at string required
properties object optional
distinct_ids array required

Responses

200 —
POST /api/projects/{project_id}/persons/funnel
GET /api/projects/{project_id}/persons/funnel/correlation

To create or update persons, use a PostHog library of your choice and use an identify call. This API endpoint is only for reading and deleting.

operationId: Persons_funnelCorrelationRetrieve

Parameters

Name In Required Type Description
format query optional string —
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200 —
GET /api/projects/{project_id}/persons/funnel/correlation
POST /api/projects/{project_id}/persons/funnel/correlation

To create or update persons, use a PostHog library of your choice and use an identify call. This API endpoint is only for reading and deleting.

operationId: Persons_createOrUpdateFunnelCorrelation

Parameters

Name In Required Type Description
format query optional string —
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

application/json
schema Person
Property Type Required
id integer required
name string required
uuid string required
created_at string required
properties object optional
distinct_ids array required
multipart/form-data
schema Person
Property Type Required
id integer required
name string required
uuid string required
created_at string required
properties object optional
distinct_ids array required
application/x-www-form-urlencoded
schema Person
Property Type Required
id integer required
name string required
uuid string required
created_at string required
properties object optional
distinct_ids array required

Responses

200 —
POST /api/projects/{project_id}/persons/funnel/correlation
GET /api/projects/{project_id}/persons/lifecycle

To create or update persons, use a PostHog library of your choice and use an identify call. This API endpoint is only for reading and deleting.

operationId: Persons_getLifecyclePath

Parameters

Name In Required Type Description
format query optional string —
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200 —
GET /api/projects/{project_id}/persons/lifecycle
GET /api/projects/{project_id}/persons/path

To create or update persons, use a PostHog library of your choice and use an identify call. This API endpoint is only for reading and deleting.

operationId: Persons_getPath

Parameters

Name In Required Type Description
format query optional string —
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200 —
GET /api/projects/{project_id}/persons/path
POST /api/projects/{project_id}/persons/path

To create or update persons, use a PostHog library of your choice and use an identify call. This API endpoint is only for reading and deleting.

operationId: Persons_createOrUpdatePath

Parameters

Name In Required Type Description
format query optional string —
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

application/json
schema Person
Property Type Required
id integer required
name string required
uuid string required
created_at string required
properties object optional
distinct_ids array required
multipart/form-data
schema Person
Property Type Required
id integer required
name string required
uuid string required
created_at string required
properties object optional
distinct_ids array required
application/x-www-form-urlencoded
schema Person
Property Type Required
id integer required
name string required
uuid string required
created_at string required
properties object optional
distinct_ids array required

Responses

200 —
POST /api/projects/{project_id}/persons/path
GET /api/projects/{project_id}/persons/retention

To create or update persons, use a PostHog library of your choice and use an identify call. This API endpoint is only for reading and deleting.

operationId: Persons_retentionRetrieve

Parameters

Name In Required Type Description
format query optional string —
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200 —
GET /api/projects/{project_id}/persons/retention
GET /api/projects/{project_id}/persons/stickiness

To create or update persons, use a PostHog library of your choice and use an identify call. This API endpoint is only for reading and deleting.

operationId: Persons_getStickiness

Parameters

Name In Required Type Description
format query optional string —
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200 —
GET /api/projects/{project_id}/persons/stickiness
GET /api/projects/{project_id}/persons/trends

To create or update persons, use a PostHog library of your choice and use an identify call. This API endpoint is only for reading and deleting.

operationId: Persons_getTrends

Parameters

Name In Required Type Description
format query optional string —
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200 —
GET /api/projects/{project_id}/persons/trends
GET /api/projects/{project_id}/persons/values

To create or update persons, use a PostHog library of your choice and use an identify call. This API endpoint is only for reading and deleting.

operationId: Persons_getValues

Parameters

Name In Required Type Description
format query optional string —
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200 —
GET /api/projects/{project_id}/persons/values
DELETE /api/projects/{project_id}/persons/{id}

To create or update persons, use a PostHog library of your choice and use an identify call. This API endpoint is only for reading and deleting.

operationId: persons_destroy

Parameters

Name In Required Type Description
delete_events query optional boolean

If true, a task to delete all events associated with this person will be created and queued. The task does not run immediately and instead is batched together and at 5AM UTC every Sunday (controlled by environment variable CLEAR_CLICKHOUSE_REMOVED_DATA_SCHEDULE_CRON)

format query optional string —
id path required integer

A unique integer value identifying this person.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

204

No response body

DELETE /api/projects/{project_id}/persons/{id}
GET /api/projects/{project_id}/persons/{id}

To create or update persons, use a PostHog library of your choice and use an identify call. This API endpoint is only for reading and deleting.

operationId: persons_retrieve

Parameters

Name In Required Type Description
format query optional string —
id path required integer

A unique integer value identifying this person.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200 —
GET /api/projects/{project_id}/persons/{id}
PATCH /api/projects/{project_id}/persons/{id}

To create or update persons, use a PostHog library of your choice and use an identify call. This API endpoint is only for reading and deleting.

operationId: Persons_updatePersonById

Parameters

Name In Required Type Description
format query optional string —
id path required integer

A unique integer value identifying this person.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

application/json
schema PatchedPerson
Property Type Required
id integer optional
name string optional
uuid string optional
created_at string optional
properties object optional
distinct_ids array optional
multipart/form-data
schema PatchedPerson
Property Type Required
id integer optional
name string optional
uuid string optional
created_at string optional
properties object optional
distinct_ids array optional
application/x-www-form-urlencoded
schema PatchedPerson
Property Type Required
id integer optional
name string optional
uuid string optional
created_at string optional
properties object optional
distinct_ids array optional

Responses

200 —
PATCH /api/projects/{project_id}/persons/{id}
PUT /api/projects/{project_id}/persons/{id}

Only for setting properties on the person. “properties” from the request data will be updated via a “$set” event.
This means that only the properties listed will be updated, but other properties won’t be removed nor updated.
If you would like to remove a property use the delete_property endpoint.

operationId: persons_update

Parameters

Name In Required Type Description
format query optional string —
id path required integer

A unique integer value identifying this person.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

application/json
schema Person
Property Type Required
id integer required
name string required
uuid string required
created_at string required
properties object optional
distinct_ids array required
multipart/form-data
schema Person
Property Type Required
id integer required
name string required
uuid string required
created_at string required
properties object optional
distinct_ids array required
application/x-www-form-urlencoded
schema Person
Property Type Required
id integer required
name string required
uuid string required
created_at string required
properties object optional
distinct_ids array required

Responses

200 —
PUT /api/projects/{project_id}/persons/{id}
GET /api/projects/{project_id}/persons/{id}/activity

To create or update persons, use a PostHog library of your choice and use an identify call. This API endpoint is only for reading and deleting.

operationId: Persons_getActivity

Parameters

Name In Required Type Description
format query optional string —
id path required integer

A unique integer value identifying this person.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200 —
GET /api/projects/{project_id}/persons/{id}/activity
POST /api/projects/{project_id}/persons/{id}/delete_property

To create or update persons, use a PostHog library of your choice and use an identify call. This API endpoint is only for reading and deleting.

operationId: Persons_deletePropertyApi

Parameters

Name In Required Type Description
$unset query required string

Specify the property key to delete

format query optional string —
id path required integer

A unique integer value identifying this person.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

application/json
schema Person
Property Type Required
id integer required
name string required
uuid string required
created_at string required
properties object optional
distinct_ids array required
multipart/form-data
schema Person
Property Type Required
id integer required
name string required
uuid string required
created_at string required
properties object optional
distinct_ids array required
application/x-www-form-urlencoded
schema Person
Property Type Required
id integer required
name string required
uuid string required
created_at string required
properties object optional
distinct_ids array required

Responses

200 —
POST /api/projects/{project_id}/persons/{id}/delete_property
GET /api/projects/{project_id}/persons/{id}/properties_timeline

To create or update persons, use a PostHog library of your choice and use an identify call. This API endpoint is only for reading and deleting.

operationId: Persons_getPropertiesTimeline

Parameters

Name In Required Type Description
format query optional string —
id path required integer

A unique integer value identifying this person.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200 —
GET /api/projects/{project_id}/persons/{id}/properties_timeline
POST /api/projects/{project_id}/persons/{id}/split

To create or update persons, use a PostHog library of your choice and use an identify call. This API endpoint is only for reading and deleting.

operationId: Persons_createOrUpdateSplit

Parameters

Name In Required Type Description
format query optional string —
id path required integer

A unique integer value identifying this person.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

application/json
schema Person
Property Type Required
id integer required
name string required
uuid string required
created_at string required
properties object optional
distinct_ids array required
multipart/form-data
schema Person
Property Type Required
id integer required
name string required
uuid string required
created_at string required
properties object optional
distinct_ids array required
application/x-www-form-urlencoded
schema Person
Property Type Required
id integer required
name string required
uuid string required
created_at string required
properties object optional
distinct_ids array required

Responses

200 —
POST /api/projects/{project_id}/persons/{id}/split
POST /api/projects/{project_id}/persons/{id}/update_property

To create or update persons, use a PostHog library of your choice and use an identify call. This API endpoint is only for reading and deleting.

operationId: Persons_createOrUpdateProperty

Parameters

Name In Required Type Description
format query optional string —
id path required integer

A unique integer value identifying this person.

key query required string

Specify the property key

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

value query required

Specify the property value

Request Body

application/json
schema Person
Property Type Required
id integer required
name string required
uuid string required
created_at string required
properties object optional
distinct_ids array required
multipart/form-data
schema Person
Property Type Required
id integer required
name string required
uuid string required
created_at string required
properties object optional
distinct_ids array required
application/x-www-form-urlencoded
schema Person
Property Type Required
id integer required
name string required
uuid string required
created_at string required
properties object optional
distinct_ids array required

Responses

200 —
POST /api/projects/{project_id}/persons/{id}/update_property

Pipelinedestinationconfigs 9 endpoints

GET /api/projects/{project_id}/pipeline_destination_configs
operationId: Pipelinedestinationconfigs_getList

Parameters

Name In Required Type Description
limit query optional integer

Number of results to return per page.

offset query optional integer

The initial index from which to return the results.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200 —
GET /api/projects/{project_id}/pipeline_destination_configs
POST /api/projects/{project_id}/pipeline_destination_configs
operationId: Pipelinedestinationconfigs_createOrUpdate

Parameters

Name In Required Type Description
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

required
application/json
schema PluginConfig
Property Type Required
id integer required
name string optional
error string required
order integer required
config string required
plugin integer required
deleted boolean optional
enabled boolean optional
team_id integer required
created_at string required
updated_at string required
description string optional
plugin_info string required
delivery_rate_24h string required
multipart/form-data
schema PluginConfig
Property Type Required
id integer required
name string optional
error string required
order integer required
config string required
plugin integer required
deleted boolean optional
enabled boolean optional
team_id integer required
created_at string required
updated_at string required
description string optional
plugin_info string required
delivery_rate_24h string required
application/x-www-form-urlencoded
schema PluginConfig
Property Type Required
id integer required
name string optional
error string required
order integer required
config string required
plugin integer required
deleted boolean optional
enabled boolean optional
team_id integer required
created_at string required
updated_at string required
description string optional
plugin_info string required
delivery_rate_24h string required

Responses

201 —
POST /api/projects/{project_id}/pipeline_destination_configs
PATCH /api/projects/{project_id}/pipeline_destination_configs/rearrange
operationId: Pipelinedestinationconfigs_rearrangePartialUpdate

Parameters

Name In Required Type Description
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

application/json
schema PatchedPluginConfig
Property Type Required
id integer optional
name string optional
error string optional
order integer optional
config string optional
plugin integer optional
deleted boolean optional
enabled boolean optional
team_id integer optional
created_at string optional
updated_at string optional
description string optional
plugin_info string optional
delivery_rate_24h string optional
multipart/form-data
schema PatchedPluginConfig
Property Type Required
id integer optional
name string optional
error string optional
order integer optional
config string optional
plugin integer optional
deleted boolean optional
enabled boolean optional
team_id integer optional
created_at string optional
updated_at string optional
description string optional
plugin_info string optional
delivery_rate_24h string optional
application/x-www-form-urlencoded
schema PatchedPluginConfig
Property Type Required
id integer optional
name string optional
error string optional
order integer optional
config string optional
plugin integer optional
deleted boolean optional
enabled boolean optional
team_id integer optional
created_at string optional
updated_at string optional
description string optional
plugin_info string optional
delivery_rate_24h string optional

Responses

200 —
PATCH /api/projects/{project_id}/pipeline_destination_configs/rearrange
DELETE /api/projects/{project_id}/pipeline_destination_configs/{id}
operationId: Pipelinedestinationconfigs_deleteById

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this plugin config.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

204

No response body

DELETE /api/projects/{project_id}/pipeline_destination_configs/{id}
GET /api/projects/{project_id}/pipeline_destination_configs/{id}
operationId: Pipelinedestinationconfigs_get

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this plugin config.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200 —
GET /api/projects/{project_id}/pipeline_destination_configs/{id}
PATCH /api/projects/{project_id}/pipeline_destination_configs/{id}
operationId: Pipelinedestinationconfigs_patchById

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this plugin config.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

application/json
schema PatchedPluginConfig
Property Type Required
id integer optional
name string optional
error string optional
order integer optional
config string optional
plugin integer optional
deleted boolean optional
enabled boolean optional
team_id integer optional
created_at string optional
updated_at string optional
description string optional
plugin_info string optional
delivery_rate_24h string optional
multipart/form-data
schema PatchedPluginConfig
Property Type Required
id integer optional
name string optional
error string optional
order integer optional
config string optional
plugin integer optional
deleted boolean optional
enabled boolean optional
team_id integer optional
created_at string optional
updated_at string optional
description string optional
plugin_info string optional
delivery_rate_24h string optional
application/x-www-form-urlencoded
schema PatchedPluginConfig
Property Type Required
id integer optional
name string optional
error string optional
order integer optional
config string optional
plugin integer optional
deleted boolean optional
enabled boolean optional
team_id integer optional
created_at string optional
updated_at string optional
description string optional
plugin_info string optional
delivery_rate_24h string optional

Responses

200 —
PATCH /api/projects/{project_id}/pipeline_destination_configs/{id}
PUT /api/projects/{project_id}/pipeline_destination_configs/{id}
operationId: Pipelinedestinationconfigs_updateById

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this plugin config.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

required
application/json
schema PluginConfig
Property Type Required
id integer required
name string optional
error string required
order integer required
config string required
plugin integer required
deleted boolean optional
enabled boolean optional
team_id integer required
created_at string required
updated_at string required
description string optional
plugin_info string required
delivery_rate_24h string required
multipart/form-data
schema PluginConfig
Property Type Required
id integer required
name string optional
error string required
order integer required
config string required
plugin integer required
deleted boolean optional
enabled boolean optional
team_id integer required
created_at string required
updated_at string required
description string optional
plugin_info string required
delivery_rate_24h string required
application/x-www-form-urlencoded
schema PluginConfig
Property Type Required
id integer required
name string optional
error string required
order integer required
config string required
plugin integer required
deleted boolean optional
enabled boolean optional
team_id integer required
created_at string required
updated_at string required
description string optional
plugin_info string required
delivery_rate_24h string required

Responses

200 —
PUT /api/projects/{project_id}/pipeline_destination_configs/{id}
GET /api/projects/{project_id}/pipeline_destination_configs/{id}/frontend
operationId: Pipelinedestinationconfigs_getFrontend

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this plugin config.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200 —
GET /api/projects/{project_id}/pipeline_destination_configs/{id}/frontend
POST /api/projects/{project_id}/pipeline_destination_configs/{id}/job
operationId: Pipelinedestinationconfigs_createJob

Parameters

Name In Required Type Description
id path required integer

A unique integer value identifying this plugin config.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

required
application/json
schema PluginConfig
Property Type Required
id integer required
name string optional
error string required
order integer required
config string required
plugin integer required
deleted boolean optional
enabled boolean optional
team_id integer required
created_at string required
updated_at string required
description string optional
plugin_info string required
delivery_rate_24h string required
multipart/form-data
schema PluginConfig
Property Type Required
id integer required
name string optional
error string required
order integer required
config string required
plugin integer required
deleted boolean optional
enabled boolean optional
team_id integer required
created_at string required
updated_at string required
description string optional
plugin_info string required
delivery_rate_24h string required
application/x-www-form-urlencoded
schema PluginConfig
Property Type Required
id integer required
name string optional
error string required
order integer required
config string required
plugin integer required
deleted boolean optional
enabled boolean optional
team_id integer required
created_at string required
updated_at string required
description string optional
plugin_info string required
delivery_rate_24h string required

Responses

200 —
POST /api/projects/{project_id}/pipeline_destination_configs/{id}/job

Pipelinefrontendappsconfigs 2 endpoints

GET /api/projects/{project_id}/pipeline_frontend_apps_configs
operationId: Pipelinefrontendappsconfigs_get

Parameters

Name In Required Type Description
limit query optional integer

Number of results to return per page.

offset query optional integer

The initial index from which to return the results.

project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Responses

200 —
GET /api/projects/{project_id}/pipeline_frontend_apps_configs
POST /api/projects/{project_id}/pipeline_frontend_apps_configs
operationId: Pipelinefrontendappsconfigs_createOrUpdate

Parameters

Name In Required Type Description
project_id path required string

Project ID of the project you’re trying to access. To find the ID of the project, make a call to /api/projects/.

Request Body

required
application/json
schema PluginConfig
Property Type Required
id integer required
name string optional
error string required
order integer required
config string required
plugin integer required
deleted boolean optional
enabled boolean optional
team_id integer required
created_at string required
updated_at string required
description string optional
plugin_info string required
delivery_rate_24h string required
multipart/form-data
schema PluginConfig
Property Type Required
id integer required
name string optional
error string required
order integer required
config string required
plugin integer required
deleted boolean optional
enabled boolean optional
team_id integer required
created_at string required
updated_at string required
description string optional
plugin_info string required
delivery_rate_24h string required
application/x-www-form-urlencoded
schema PluginConfig
Property Type Required
id integer required
name string optional
error string required
order integer required
config string required
plugin integer required
deleted boolean optional
enabled boolean optional
team_id integer required
created_at string required
updated_at string required
description string optional
plugin_info string required
delivery_rate_24h string required

Responses

201 —
POST /api/projects/{project_id}/pipeline_frontend_apps_configs
Load more endpoints